IF OBJECT_ID('GT_ENVIO_EMITENTE_ERRO') IS NULL 
BEGIN
	CREATE TABLE GT_ENVIO_EMITENTE_ERRO(
		CD_CTR BIGINT NOT NULL,
		MENSAGEM VARCHAR(8000),
		ERRO_PARCIAL int NOT NULL DEFAULT 0);
END

GO

IF OBJECT_ID('PK_GT_ENVIO_EMITENTE_ERRO') IS NULL 
BEGIN
	ALTER TABLE GT_ENVIO_EMITENTE_ERRO ADD CONSTRAINT PK_GT_ENVIO_EMITENTE_ERRO PRIMARY KEY (CD_CTR);
END

GO

IF OBJECT_ID('PK_GT_ENVIO_EMITENTE_ERRO') IS NULL 
BEGIN
	IF EXISTS (SELECT 1 FROM SYS.COLUMNS WHERE NAME = 'CD_CTR' AND OBJECT_ID = OBJECT_ID('GT_ENVIO_EMITENTE'))
	BEGIN
	ALTER TABLE GT_ENVIO_EMITENTE_ERRO ADD CONSTRAINT FK_GT_ENVIO_EMITENTE_ERRO_GT_ENVIO_EMITENTE FOREIGN KEY (CD_CTR) REFERENCES GT_ENVIO_EMITENTE(CD_CTR);
	END
END
